Foreman - Bug #965

Chained hosts query with "params™ fails
06/08/2011 03:19 AM - Bauke Karel

Status: Closed

Priority: Normal

Assignee: Amos Benari

Category: Search

Target version: 0.4

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

When chaining a "params" query on the hosts list using "and" or "or", it results in an error 500.
This occurs in version 0.3rc (unconfirmed with 0.3).
In these examples | have one host with a parameter named "monitor" with value "yes".
Example queries that work fine:

® 0s = CentOS

e environment = production and os = CentOS

® params.monitor = yes
Example query that fails:

e params.monitor = yes and os = CentOS

Below is the error message in the logfile for this last query:

Processing HostsController#index (for [myip] at 2011-06-07 12:27:31) [GET]

Parameters: {"search"=>"params.monitor = yes and os = CentOS", "action"=>"index", "controller"=
"hosts"}
ActiveRecord: :PreparedStatementInvalid (wrong number of bind variables (2 for 1) in: (id = 1) AND
(operatingsystems’ . name® = BINARY ?)):

app/controllers/hosts_controller.rb:37:in "~ index'

app/controllers/hosts_controller.rb:35:in "~ index'

passenger (2.2.15) lib/phusion_passenger/rack/request_handler.rb:92:in “process_request'

passenger (2.2.15) lib/phusion_passenger/abstract_request_handler.rb:207:in "main_loop'

passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:441:in "~start_request_hand
ler'

passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:381:in “handle_spawn_appli

cation'
passenger (2.2.15) lib/phusion_passenger/utils.rb:252:in 'safe_fork'
passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:377:in “handle_spawn_appli
cation'
passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in ~__send_ '
passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in ‘main_loop'
passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:196:in " start_synchronously'
passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:163:in " start'
passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:222:in " start'
passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:253:in "“spawn_rails_application'
passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:126:in " lookup_or_add'
passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:247:in "~spawn_rails_application'
passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:80:in "“synchronize'
passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:79:in "~synchronize'
passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:246:in "spawn_rails_application'
lib/phusion_passenger/spawn_manager.rb:145:1in ' spawn_application'
lib/phusion_passenger/spawn_manager.rb:278:in "handle_spawn_application'
lib/phusion_passenger/abstract_server.rb:352:in "__send_ '
lib/phusion_passenger/abstract_server.rb:352:in "main_loop'
lib/phusion_passenger/abstract_server.rb:196:in " start_synchronously'

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

Associated revisions

Revision d9f94b70 - 06/15/2011 05:34 AM - Amos Benari

fixes #965 and fixes #964

Signed-off-by: Amos Benari <abenari@redhat.com>

History

#1 - 06/08/2011 02:05 PM - Ohad Levy

- Category set to Search
- Assignee set to Amos Benari

- Target version set to 0.4

#2 - 06/15/2011 05:54 AM - Amos Benari

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset d9f94b70678dd961ef5cabf15c2462e47c4d2cff.
